Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class Node.AccessorBridge

    java.lang.Object
      de.grogra.graph.AccessorBase
          de.grogra.graph.impl.Node.AccessorBridge

All Implemented Interfaces:
  AttributeAccessor, BooleanAttributeAccessor, ByteAttributeAccessor, CharAttributeAccessor, DoubleAttributeAccessor, FloatAttributeAccessor, IntAttributeAccessor, LongAttributeAccessor, ObjectAttributeAccessor, ShortAttributeAccessor

Enclosing class:
  Node

    public static class Node.AccessorBridge

extends AccessorBase

Field Summary

Fields inherited from class de.grogra.graph.AccessorBase
`attribute`

Constructor Summary
`Node.AccessorBridge(Attribute attribute)`

Method Summary
`boolean` | `getBoolean(java.lang.Object object, GraphState gs)`
`byte` | `getByte(java.lang.Object object, GraphState gs)`
`char` | `getChar(java.lang.Object object, GraphState gs)`
`double` | `getDouble(java.lang.Object object, GraphState gs)`
`float` | `getFloat(java.lang.Object object, GraphState gs)`
`int` | `getInt(java.lang.Object object, GraphState gs)`
`long` | `getLong(java.lang.Object object, GraphState gs)`
`java.lang.Object` | `getObject(java.lang.Object object, GraphState gs)`
`java.lang.Object` | `getObject(java.lang.Object object, java.lang.Object placeIn, GraphState gs)`
`short` | `getShort(java.lang.Object object, GraphState gs)`
`boolean` | `isWritable(java.lang.Object object, GraphState gs)`
`boolean` | `setBoolean(java.lang.Object object, boolean value, GraphState gs)`
`byte` | `setByte(java.lang.Object object, byte value, GraphState gs)`
`char` | `setChar(java.lang.Object object, char value, GraphState gs)`
`double` | `setDouble(java.lang.Object object, double value, GraphState gs)`
`float` | `setFloat(java.lang.Object object, float value, GraphState gs)`
`int` | `setInt(java.lang.Object object, int value, GraphState gs)`
`long` | `setLong(java.lang.Object object, long value, GraphState gs)`
`java.lang.Object` | `setObject(java.lang.Object object, java.lang.Object value, GraphState gs)`
`short` | `setShort(java.lang.Object object, short value, GraphState gs)`

Methods inherited from class de.grogra.graph.AccessorBase
`clone, getAttribute, getField, getType, setSubfield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.AccessorBridge

    public Node.AccessorBridge(Attribute attribute)

Method Detail

### getBoolean

    public boolean getBoolean(java.lang.Object object,
                              GraphState gs)

### getByte

    public byte getByte(java.lang.Object object,
                        GraphState gs)

### getChar

    public char getChar(java.lang.Object object,
                        GraphState gs)

### getDouble

    public double getDouble(java.lang.Object object,
                            GraphState gs)

### getFloat

    public float getFloat(java.lang.Object object,
                          GraphState gs)

### getInt

    public int getInt(java.lang.Object object,
                      GraphState gs)

### getLong

    public long getLong(java.lang.Object object,
                        GraphState gs)

### getObject

    public java.lang.Object getObject(java.lang.Object object,
                                      GraphState gs)

### getObject

    public java.lang.Object getObject(java.lang.Object object,
                                      java.lang.Object placeIn,
                                      GraphState gs)

### getShort

    public short getShort(java.lang.Object object,
                          GraphState gs)

### isWritable

    public boolean isWritable(java.lang.Object object,
                              GraphState gs)

### setBoolean

    public boolean setBoolean(java.lang.Object object,
                              boolean value,
                              GraphState gs)

### setByte

    public byte setByte(java.lang.Object object,
                        byte value,
                        GraphState gs)

### setChar

    public char setChar(java.lang.Object object,
                        char value,
                        GraphState gs)

### setDouble

    public double setDouble(java.lang.Object object,
                            double value,
                            GraphState gs)

### setFloat

    public float setFloat(java.lang.Object object,
                          float value,
                          GraphState gs)

### setInt

    public int setInt(java.lang.Object object,
                      int value,
                      GraphState gs)

### setLong

    public long setLong(java.lang.Object object,
                        long value,
                        GraphState gs)

### setObject

    public java.lang.Object setObject(java.lang.Object object,
                                      java.lang.Object value,
                                      GraphState gs)

### setShort

    public short setShort(java.lang.Object object,
                          short value,
                          GraphState gs)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD